Fix 2.6 Proguard build failure.
[PrivacyBrowser.git] / app / build.gradle
index 208ca35a43b2fef917821c76151e367bab6824fa..aa47ffcbfb40c6ad74af153cf329e4230ac8a176 100644 (file)
@@ -1,5 +1,5 @@
 /*
- * Copyright 2016-2017 Soren Stoutner <soren@stoutner.com>.
+ * Copyright © 2016-2017 Soren Stoutner <soren@stoutner.com>.
  *
  * This file is part of Privacy Browser <https://www.stoutner.com/privacy-browser>.
  *
@@ -21,12 +21,12 @@ apply plugin: 'com.android.application'
 
 android {
     compileSdkVersion 25
-    buildToolsVersion "25.0.2"
+    buildToolsVersion "25.0.3"
     defaultConfig {
         minSdkVersion 19
         targetSdkVersion 25
-        versionCode 21
-        versionName "2.1"
+        versionCode 26
+        versionName "2.6"
     }
 
     buildTypes {
@@ -55,10 +55,10 @@ android {
 
 dependencies {
     compile fileTree(include: ['*.jar'], dir: 'libs')
-    compile 'com.android.support:design:25.3.1'
+    compile 'com.android.support:design:25.4.0'
 
     // Only compile `com.google.firebase:firebase-ads:9.8.0` for the free flavor.
-    freeCompile 'com.google.firebase:firebase-ads:9.8.0'
+    freeCompile 'com.google.firebase:firebase-ads:11.0.4'
 }
 
 // Google's documentation says the following line is required for `firebase-ads` but things work correctly without it.  I have no interest in applying the Google Mobile Services plugin in the standard flavor if I don't have to.